@echo off
setlocal
 

if "%1" == "" goto commonerr
if "%2" == "" goto commonerr
if "%JAVA_HOME%" == "" goto error_msg

set PATH=%JAVA_HOME%\bin;%PATH%
set ITM_HOME=%2

set classpath=.;

REM This will build up a classpath for the candle jars 
for /R %%i in (jars\*.jar;) do (call :ADDTOCLASSPATH %%~dpfi)

goto seedit

:ADDTOCLASSPATH
set CLASSPATH=%classpath%;%1
goto end

:seedit
set CLASSPATH=%classpath%;%ITM_HOME%\CNPS\CLASSES;%ITM_HOME%\CNPS\CLASSES\cnp.jar;%ITM_HOME%\CNPS\CLASSES\cnp_vbjorball.jar;%ITM_HOME%\CNPS\CLASSES\kjrall.jar;%ITM_HOME%\CNPS\CLASSES\util.jar;%ITM_HOME%\CNPS\CLASSES\xml.jar;%ITM_HOME%\CNPS\CLASSES\PackageLoader.class;%ITM_HOME%\CNPS\CLASSES\*
REM echo %CLASSPATH%
java  -showversion -noverify -classpath %CLASSPATH% -Dkjr.trace.mode=LOCAL -Dkjr.trace.file=KevSeed.LOG -Dkjr.trace.params="DETAIL" -Dcnp.pipeline.factor=0 -Dcnp.http.url.DataBus=http://localhost:1920//cnp/client/ior/CTDataBus::Manager -Dcnp.http.url.host=%1 -Dvbroker.agent.enableLocator=false candle.PackageLoader candle\kev\KevPackage.xml
for /R %%i in (jars\*.jar;) do (call :COPYFILES %%~dpfi)
mkdir %ITM_HOME%\CNB\classes\candle\kev
mkdir %ITM_HOME%\CNB\classes\candle\kev\resources
mkdir %ITM_HOME%\CNB\classes\candle\kev\resources\help
copy  candle\kev\resources\help\*.* %ITM_HOME%\CNB\classes\candle\kev\resources\help
copy candle\kev\KevPackage.xml %ITM_HOME%\CNP
COPY Kev.inf %ITM_HOME%\CNP      
goto end

:commonerr
@echo "usage: installaeltep.sh <TEPS HOSTNAME> <ITM HOME>"
if "%1" == "" goto errmsg1
if "%2" == "" goto errmsg2

:errmsg1
@echo The first parameter is the TEPS HOSTNAME.
@echo The second parameter is the CANDLE_HOME environment variable (ITM Install Directory) e.g. /opt/IBM/ITM
goto end


:errmsg2
@echo The second parameter is the CANDLE_HOME environment variable (ITM Install Directory) e.g. /opt/IBM/ITM
goto end


:error_msg
@echo You need to set the JAVA_HOME variables to match your environment
goto end

:COPYFILES
copy  %1 %ITM_HOME%\CNP
copy  %1 %ITM_HOME%\CNB\classes


:end
@endlocal

